package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.Activity;
import com.lightinit.hsdataportal.entity.ActivityEnroll;
import com.lightinit.hsdataportal.entity.ActivityWithBLOBs;
import com.lightinit.hsdataportal.model.ActivityModel;
import com.lightinit.hsdataportal.model.ActivitySearchModel;
import com.lightinit.hsdataportal.model.ResultState;

import java.util.List;

public interface IInnovationActivityService {
    List<ActivityWithBLOBs> getList(ActivitySearchModel activitySearchModel);

    long getCount(ActivitySearchModel activitySearchModel);

    ResultState toAdd(ActivityModel activity);

    ActivityWithBLOBs view(Long id);

    ResultState enroll(ActivityEnroll activityEnroll);
}
